This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 728561 - Part headings wrong in HTML and/or PDF output
Part headings wrong in HTML and/or PDF output
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-05 11:30 EDT by Norman Dunbar
Modified: 2013-07-04 02:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 02:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Norman Dunbar 2011-08-05 11:30:46 EDT
Description of problem:
When creating a book consisting of parts, the HTML and PDF output for the Part headings differ within the main TOC and in each "part" itself.

Version-Release number of selected component (if applicable):
Seen in publican 2.3 on Linux Mint 11.


How reproducible:
100%


Steps to Reproduce:
1. Create a book.
2. Add a part with this tag:

<part label="Part I">
<title>My Splendid Title</title>
..

3. Build HTML and/or PDF.
  

Actual results:
In the main Table Of Contents:

"Part I. My Splendid Title"

In the part itself:

"Part Part I. My Splendid Title"

If I remove the "Part " text from the label attribute on the <part> tag, I get the following:

In the main Table Of Contents:

"I. My Splendid Title"

In the part itself:

"Part I. My Splendid Title"


Expected results:
I expect both to be the same, viz:

In the main Table Of Contents:

"Part I. My Splendid Title"

In the part itself:

"Part I. My Splendid Title"


Additional info:
None.
Comment 1 Jeff Fearn 2013-07-04 02:11:52 EDT
We do not support using attributes for labels, it breaks translation.

To get this to work in Publican you'd need to:

1: make a custom brand
2: disable the auto labeling feature of upstream docbook xsl
3: possibly override some of Publican's custom xsl

Branding is our solution for when you disagree with us ;)

If you try to do this and can't get working I'm happy to help via the publican-list.

Note You need to log in before you can comment on or make changes to this bug.